Lorem ipsum dolor sit amet, consectetur adipiscing elit. Test link

Cara Atasi Failed to prepare transaction: invalid or corrupted package di Linux Manjaro

 


Saat melakukan update pada linux manjaro namun terdapat error stable update manjaro. Dalam update ini terdapat hal baru yang terteara

  • We updated grub to fix the boot hole issue.
  • All of our Kernels got updated
  • Plasma is now at 5.19.4
  • Frameworks is now at 5.73.0
  • Firefox 79.0 comes with new features
  • Most of the ukui packages got updated to 3.0
  • Mesa is now at 20.1.5
  • A new AMDVLK release
  • Usual Python and Haskell package updates and rebuilds
  • Some Browsers got updated
  • Systemd is at 245.7
  • Updated Linux-Firmware
  • Pamac adds more support to AUR
  • Virtualbox is 6.1.12
  • Nextcloud got its first point-release to its 19 series
  • Riot is renamed to Element
  • More updates to Xorg-Fonts
  • Usual Python and Haskell package updates and rebuilds

Selain dafatar di atas membawa pembaharuan pada GNOME dan KDE dan menjalankan perintah update.
$ pamac update
Namun terdapat pesan error yang di hasilkan Error: Failed to prepare transaction: invalid or corrupted package, ini di sebabkan karena tidak dapat memuat metadata secara penuh dari tpm2-tss-2.4.1-1.

Untuk atasi hal tersebut kamu bisa mencoba menghapus direktori tpm2-tss-2.4.1-1 pada folder /var/lib/pacman/local dengan perintah:
$ rm -r /var/lib/pacman/local/tpm2-tss-2.4.1-1
Setelah itu coba lakukan update linux manjaro

Post a Comment